Description: make docstring a raw string.
 The docstring describing the deltaE function contains several
 mathematical symbols with LaTeX-style syntax, causing python3.12 and
 newer to throw SyntaxWarning.  Converting it to raw string prevents
 attempts to interpret the backslash character as if it were an invalid
 escape sequence in a C string.
Author: Étienne Mollier <emollier@debian.org>
Bug: https://github.com/njsmith/colorspacious/issues/32
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085424
Forwarded: https://github.com/njsmith/colorspacious/pull/33
Last-Update: 2024-11-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- colorspacious.orig/colorspacious/comparison.py
+++ colorspacious/colorspacious/comparison.py
@@ -8,7 +8,7 @@
 
 def deltaE(color1, color2,
            input_space="sRGB1", uniform_space="CAM02-UCS"):
-    """Computes the :math:`\Delta E` distance between pairs of colors.
+    r"""Computes the :math:`\Delta E` distance between pairs of colors.
 
     :param input_space: The space the colors start out in. Can be anything
        recognized by :func:`cspace_convert`. Default: "sRGB1"
